CB2009 - Invalid version number, <?xml version=""1.1"

We load and save files with XMLDocument and FastReport 4.7.

I get an error message:    Invalid version number, <?xml version=""1.1"
encoding="utf-8"?>

Is 1.1 a valid XML version?

If version 1.1 is valid, when will XMLDocument be able to handle it?

Larry.
0
Larry
11/25/2008 5:06:24 PM
embarcadero.cppbuilder.using 1848 articles. 1 followers. Follow

6 Replies
786 Views

Similar Articles

[PageSpeed] 41

Larry Griffiths wrote:

> We load and save files with XMLDocument and FastReport 4.7.
> 
> I get an error message:    Invalid version number, <?xml version=""1.1"
> encoding="utf-8"?>
> 
> Is 1.1 a valid XML version?
> 
> If version 1.1 is valid, 

It seem to be valid, since 29 September 2006

http://www.w3.org/TR/xml11/

> when will XMLDocument be able to handle it?

doen't the parser check against a shema file or something to
see what is valid ?
if so, You just need a newer one of those.
Just a thought..;-)

Kind regards
Asger
0
Asger
11/25/2008 5:40:08 PM
> I get an error message:    Invalid version number, <?xml version=""1.1"
> encoding="utf-8"?>

Have you noticed there are two quote character before 1.1?
0
Benjamin
11/25/2008 5:43:26 PM
Larry Griffiths wrote:

> We load and save files with XMLDocument and FastReport 4.7.
> 
> I get an error message:    Invalid version number, <?xml version=""1.1"
> encoding="utf-8"?>
> 
> Is 1.1 a valid XML version?
> 
> If version 1.1 is valid, when will XMLDocument be able to handle it?

Hi Larry.

Here is a link to the xml schema

http://www.w3.org/TR/2008/WD-xmlschema-ref-20081117/

Maybee You can find something usefull there.

Kind regards
Asger
0
Asger
11/25/2008 5:45:07 PM
"Larry Griffiths" <larry@kalos-inc.com> wrote in message 
news:47717@forums.codegear.com...

> Is 1.1 a valid XML version?

Technically yes:

    http://www.w3.org/TR/2006/REC-xml11-20060816/

> If version 1.1 is valid, when will XMLDocument be able to handle it?

TXMLDocument does not do the actual parsing.  It delegates that to an 
external parser, such as MSXML or OpenXML.  For instance, if you are running 
on Windows, then you are likely using MSXML.  Unfortunately, Microsoft (and 
probably others) will not be supporting XML 1.1 anytime soon:

    http://msdn.microsoft.com/en-us/xml/bb291067.aspx

    "Microsoft has deliberately chosen not to support the XML 1.1 
Recommendation unless there is significant customer demand...Differences 
between XML 1.0 and XML 1.1 break the interoperable nature of XML....Due to 
this issue many software vendors have decided to not support XML 1.1.  The 
W3C acknowledges interoperability risks in the XML 1.1 specification, 
recommending organizations generate XML 1.0 unless a specific feature of XML 
1.1 is required...Microsoft, like many in the XML community, does not 
support XML 1.1 due to interoperability risks with existing XML 1.0 
implementations."

-- 
Remy Lebeau (TeamB)
0
Remy
11/25/2008 5:47:58 PM
Thats my mistake.  I must have fat-fingered it when typing in the message.

Larry.


"Benjamin Pratt" <bee_dee_pratt_at@_mail_dot_com> wrote in message 
news:47736@forums.codegear.com...
>> I get an error message:    Invalid version number, <?xml version=""1.1"
>> encoding="utf-8"?>
>
> Have you noticed there are two quote character before 1.1?
0
Larry
11/25/2008 6:38:53 PM
Thanks Remy.

I will be asking the folks at FastReport why they are putting version 1.1 in 
their .fr3 files.
There code seems to have its own XML file reader and writer but also uses 
the XMLDocument component
so I am guessing that their files are 1.0 compatable.

Larry.


"Remy Lebeau (TeamB)" <no.spam@no.spam.com> wrote in message 
news:47741@forums.codegear.com...
> "Larry Griffiths" <larry@kalos-inc.com> wrote in message 
> news:47717@forums.codegear.com...
>
>> Is 1.1 a valid XML version?
>
> Technically yes:
>
>    http://www.w3.org/TR/2006/REC-xml11-20060816/
>
>> If version 1.1 is valid, when will XMLDocument be able to handle it?
>
> TXMLDocument does not do the actual parsing.  It delegates that to an 
> external parser, such as MSXML or OpenXML.  For instance, if you are 
> running on Windows, then you are likely using MSXML.  Unfortunately, 
> Microsoft (and probably others) will not be supporting XML 1.1 anytime 
> soon:
>
>    http://msdn.microsoft.com/en-us/xml/bb291067.aspx
>
>    "Microsoft has deliberately chosen not to support the XML 1.1 
> Recommendation unless there is significant customer demand...Differences 
> between XML 1.0 and XML 1.1 break the interoperable nature of XML....Due 
> to this issue many software vendors have decided to not support XML 1.1. 
> The W3C acknowledges interoperability risks in the XML 1.1 specification, 
> recommending organizations generate XML 1.0 unless a specific feature of 
> XML 1.1 is required...Microsoft, like many in the XML community, does not 
> support XML 1.1 due to interoperability risks with existing XML 1.0 
> implementations."
>
> -- 
> Remy Lebeau (TeamB)
0
Larry
11/25/2008 6:47:32 PM
Reply:

Similar Artilces:

Parser Error
What do I make to solve that problem? Parser Error Description: An error occurred during the parsing of a resource required to service this request. Please review the following specific parse error details and modify your source file appropriately. Parser Error Message: Stream is not a valid resource file.Source Error: Line 1: <?xml version="1.0" encoding="utf-8" ?> Line 2: <locales> Line 3: <inactive>Source File: /dotnetnuke320/App_GlobalResources/Locales.Portal.xml.resources    Line: 1 Version Information: Microsoft .NET Framework Versio...

<?xml version="1.0" encoding="utf-8" ?>
Blank to all,I insert this fragment of code in order to ask to you if eĀ“possibile to insert between the lines a code in order to copy file from one determined folder to an other and if eĀ“possibile you could indicate some information to me since they are ignoring in matter?<?xml version="1.0" encoding="utf-8" ?><Button ID="APAGAR"><Left>60</Left><Top>65</Top><Width>70</Width><Height>76</Height><Image>skin\Apagar\ApagarPP.png</Image><ImagePressed>Skin\Apagar\ApagarP.png</ImagePre...

<?xml version="1.0" encoding="utf-8"?>
Is there a way to manually put this delcaration at the top of at xml document being built by c# XmlTextWriter directly from a dataset?  Right now, all I'm getting is <NewDataSet><Table>.... Thanks, Jody Yes, call xmlTextWriter.WriteStartDocument() before writing out a dataset. But I wonder why do you need it? It's optional declaration.Oleg [XML MVP, MCPD]XmlLab.Net | http://blog.tkachenko.com The application consuming the xml expects it (sometime).  I'll try your fix.  Thank you. that got it.  you're the man. j...

<?xml version="1.0" encoding="utf-8" ?>
Hi, my web service returns this when generating a web method xml code. However, between the last " of the UTF-8 and the ? there is a space. When I build and debug my web service, it runs fine, but if I attempt to acces my web service through the browser on my localhost, this - <?xml version="1.0" encoding="utf-8" ?>   - does not appear, instead appears a message like this:  The XML document is not associated with styles. The document structure is representes above. (the original message is ir Portuguese, I've only translated!)And the rest o...

Can anyone tell me the diff between .net framework versions "1.1.4322.573" and "1.1.4322.903"
Production environment is running 1.1.4322.573 Pre Production environments are running 1.1.4322.903 We are seeing some javascript errors that are only happening in our production environment. All of our pre production environments for testing, development and what not seem to be running fine. We get the generic client side error that says which line, which char number and the brief description. The actuall error states "Expected ';' " . Here is the line of code that it's complaining about. "theform = document._ctl6:Form1;" This is microsoft ge...

New Install: <?xml version="1.0" encoding="UTF-8" ?> error
Hi,I'm new to .net.  I'm trying to install DotNetNuke on my XP Pro with IIS 5.0 box.  I've made all the changes to web.config, created the db with permissions and I'm still getting the same error.Can't figure it out!Here's the error:  Server Error in '/DotNetNuke' Application. Parser Error Description: An error occurred during the parsing of a resource required to service this request. Please review the following specific parse error details and modify your source file appropriately. Parser Error Message: Stream is not a valid resource file.Source Error: Line 1...

superreview requested: [Bug 300149] [SM v1.0a++, Windows] In "Add/Remove Programs", version is "1.0" instead of "1.0a" : [Attachment 189975] patch
Christian Biesinger (:bi) <cbiesinger@gmx.at> has asked Daniel Veditz <dveditz@cruzio.com> for superreview: Bug 300149: [SM v1.0a++, Windows] In "Add/Remove Programs", version is "1.0" instead of "1.0a" https://bugzilla.mozilla.org/show_bug.cgi?id=300149 Attachment 189975: patch https://bugzilla.mozilla.org/attachment.cgi?id=189975&action=edit ------- Additional Comments from Christian Biesinger (:bi) <cbiesinger@gmx.at> this should do it. kairo: note that this would not have been an issue had version.txt a new line at the end...

superreview granted: [Bug 300149] [SM v1.0a++, Windows] In "Add/Remove Programs", version is "1.0" instead of "1.0a" : [Attachment 189975] patch
Daniel Veditz <dveditz@cruzio.com> has granted Christian Biesinger (:bi) <cbiesinger@gmx.at>'s request for superreview: Bug 300149: [SM v1.0a++, Windows] In "Add/Remove Programs", version is "1.0" instead of "1.0a" https://bugzilla.mozilla.org/show_bug.cgi?id=300149 Attachment 189975: patch https://bugzilla.mozilla.org/attachment.cgi?id=189975&action=edit ------- Additional Comments from Daniel Veditz <dveditz@cruzio.com> sr=dveditz This might lead to mysterious problems if someone leaves spaces on the end. Would a regexp ...

superreview requested: [Bug 343825] Enable official branding and set version to Firefox 2 Beta 1 for upcoming release : [Attachment 228431] adds "Beta 1" to browser.xul and updates version number
Mike Beltzner <beltzner@mozilla.com> has asked Vladimir Vukicevic (:vlad) <vladimir@pobox.com> for superreview: Bug 343825: Enable official branding and set version to Firefox 2 Beta 1 for upcoming release https://bugzilla.mozilla.org/show_bug.cgi?id=343825 Attachment 228431: adds "Beta 1" to browser.xul and updates version number https://bugzilla.mozilla.org/attachment.cgi?id=228431&action=edit ------- Additional Comments from Mike Beltzner <beltzner@mozilla.com> This only adds "Beta 1" to the window title string, minimizing change as per ...

superreview granted: [Bug 343825] Enable official branding and set version to Firefox 2 Beta 1 for upcoming release : [Attachment 228431] adds "Beta 1" to browser.xul and updates version number
Brian Ryner <bryner@brianryner.com> has granted Mike Beltzner <beltzner@mozilla.com>'s request for superreview: Bug 343825: Enable official branding and set version to Firefox 2 Beta 1 for upcoming release https://bugzilla.mozilla.org/show_bug.cgi?id=343825 Attachment 228431: adds "Beta 1" to browser.xul and updates version number https://bugzilla.mozilla.org/attachment.cgi?id=228431&action=edit ...

Avoiding the '<?xml version="1.0"'
I am reading in an xml file, with a xslt file to produce some javascript code creating arrays. When I test the xml/xslt system in Xselerator I get what I require. When I load the files in ASP.NET the output is proceeded with the phrase '<?xml version="1.0" encoding="utf-16"?>' which is of course giving me a javascript error. My ASP.NET (C#) code is as follows:             StringWriter sw = new StringWriter();             //Load XML Doc           ...

superreview cancelled: [Bug 314098] getProvider().toString() returns "Mozilla-JSS version 3.3" in JSS 4.x : [Attachment 201175] Changed JSS_VERSION to report 4.1 or 4.1.1 based on versions.
Sandeep Konchady <Sandeep.Konchady@Sun.COM> has cancelled Sandeep Konchady <Sandeep.Konchady@Sun.COM>'s request for superreview: Bug 314098: getProvider().toString() returns "Mozilla-JSS version 3.3" in JSS 4.x https://bugzilla.mozilla.org/show_bug.cgi?id=314098 Attachment 201175: Changed JSS_VERSION to report 4.1 or 4.1.1 based on versions. https://bugzilla.mozilla.org/attachment.cgi?id=201175&action=edit ------- Additional Comments from Sandeep Konchady <Sandeep.Konchady@Sun.COM> rounding of double(4) + double(1)/10 to two decimal places gives...

superreview requested: [Bug 314098] getProvider().toString() returns "Mozilla-JSS version 3.3" in JSS 4.x : [Attachment 201175] Changed JSS_VERSION to report 4.1 or 4.1.1 based on versions.
Sandeep Konchady <Sandeep.Konchady@Sun.COM> has asked Wan-Teh Chang <wtchang@redhat.com> for superreview: Bug 314098: getProvider().toString() returns "Mozilla-JSS version 3.3" in JSS 4.x https://bugzilla.mozilla.org/show_bug.cgi?id=314098 Attachment 201175: Changed JSS_VERSION to report 4.1 or 4.1.1 based on versions. https://bugzilla.mozilla.org/attachment.cgi?id=201175&action=edit ------- Additional Comments from Sandeep Konchady <Sandeep.Konchady@Sun.COM> As per Wan-Teh's recommendation changed JSS_VERSION to report 4.1 or 4.1.1 based on ve...

Server error "<add assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" /> "
 Any ideas how to resolve this?    Server Error in '/' Application. Configuration Error Description: An error occurred during the processing of a configuration file required to service this request. Please review the specific error details below and modify your configuration file appropriately. Parser Error Message: Could not load file or assembly 'System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35' or one of its dependencies. The sys...

Paging Repeater treating page 11 as "1" and "1" not "11"
Dear AllI have a paging repeater, and I am displaying pages according to the amount of records I am retreiving from the database.  My code is as follows:-ASPX           <asp:Repeater runat="server" ID="rptPageNumbers" OnItemCommand="rptPageNumbers_ItemCommand">              <ItemTemplate>                <asp:LinkButton ID="LinkButton1" runat=&quo...

Web resources about - CB2009 - Invalid version number, <?xml version=""1.1" - embarcadero.cppbuilder.using

Resources last updated: 12/18/2015 9:32:37 PM